Move an item to another list
curl --request POST \
--url https://{host}/api/v1/wishlists/{wishlistId}/items/{itemId}/move \
--header 'Content-Type: application/json' \
--header 'X-Shopify-ApiKey: <api-key>' \
--header 'X-Shopify-CustomerId: <api-key>' \
--header 'X-Shopify-Shop: <api-key>' \
--data '
{
"toWishlistId": 61
}
'const options = {
method: 'POST',
headers: {
'X-Shopify-ApiKey': '<api-key>',
'X-Shopify-Shop': '<api-key>',
'X-Shopify-CustomerId': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({toWishlistId: 61})
};
fetch('https://{host}/api/v1/wishlists/{wishlistId}/items/{itemId}/move', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{host}/api/v1/wishlists/{wishlistId}/items/{itemId}/move"
payload = { "toWishlistId": 61 }
headers = {
"X-Shopify-ApiKey": "<api-key>",
"X-Shopify-Shop": "<api-key>",
"X-Shopify-CustomerId": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)import Foundation
let parameters = ["toWishlistId": 61] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://{host}/api/v1/wishlists/{wishlistId}/items/{itemId}/move")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"X-Shopify-ApiKey": "<api-key>",
"X-Shopify-Shop": "<api-key>",
"X-Shopify-CustomerId": "<api-key>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"toWishlistId\": 61\n}")
val request = Request.Builder()
.url("https://{host}/api/v1/wishlists/{wishlistId}/items/{itemId}/move")
.post(body)
.addHeader("X-Shopify-ApiKey", "<api-key>")
.addHeader("X-Shopify-Shop", "<api-key>")
.addHeader("X-Shopify-CustomerId", "<api-key>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute(){
"data": {
"id": 74,
"wishlistId": 61,
"productId": "8060316581941",
"variantId": "44986123976757"
},
"message": "Moved to \"Diwali gifts\"",
"messageKey": "error_moved_to_wishlist",
"messageParams": {
"listName": "Diwali gifts"
}
}{
"title": "Malformed request",
"status": 400,
"code": "MALFORMED_REQUEST",
"message": "wishlistId must be a number.",
"messageKey": null
}{
"title": "Unauthenticated",
"status": 401,
"code": "UNAUTHENTICATED",
"message": "Invalid API Key",
"messageKey": null
}{
"title": "Guest disabled",
"status": 403,
"code": "GUEST_DISABLED",
"message": "Please log in to save items to your wishlist.",
"messageKey": "error_guest_login_required"
}{
"title": "Wishlist not found",
"status": 404,
"code": "WISHLIST_NOT_FOUND",
"message": "Wishlist not found",
"messageKey": "error_wishlist_not_found"
}{
"title": "Wishlist name taken",
"status": 409,
"code": "WISHLIST_NAME_TAKEN",
"message": "A wishlist with this name already exists",
"messageKey": "error_wishlist_name_already_exists"
}{
"title": "Version retired",
"status": 410,
"code": "VERSION_RETIRED",
"message": "Please update the app to continue.",
"messageKey": "error_app_update_required"
}{
"title": "Validation failed",
"status": 422,
"code": "VALIDATION_FAILED",
"message": "name is required.",
"messageKey": null,
"errors": [
{
"field": "name",
"message": "name is required."
}
]
}{
"title": "Rate limited",
"status": 429,
"code": "RATE_LIMITED",
"message": "Too many requests. Please try again in a minute.",
"messageKey": "error_too_many_requests"
}{
"title": "Internal error",
"status": 500,
"code": "INTERNAL_ERROR",
"message": "Something went wrong. Please try again.",
"messageKey": "error_something_went_wrong"
}Items
Move an item to another list
POST
/
wishlists
/
{wishlistId}
/
items
/
{itemId}
/
move
Move an item to another list
curl --request POST \
--url https://{host}/api/v1/wishlists/{wishlistId}/items/{itemId}/move \
--header 'Content-Type: application/json' \
--header 'X-Shopify-ApiKey: <api-key>' \
--header 'X-Shopify-CustomerId: <api-key>' \
--header 'X-Shopify-Shop: <api-key>' \
--data '
{
"toWishlistId": 61
}
'const options = {
method: 'POST',
headers: {
'X-Shopify-ApiKey': '<api-key>',
'X-Shopify-Shop': '<api-key>',
'X-Shopify-CustomerId': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({toWishlistId: 61})
};
fetch('https://{host}/api/v1/wishlists/{wishlistId}/items/{itemId}/move', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{host}/api/v1/wishlists/{wishlistId}/items/{itemId}/move"
payload = { "toWishlistId": 61 }
headers = {
"X-Shopify-ApiKey": "<api-key>",
"X-Shopify-Shop": "<api-key>",
"X-Shopify-CustomerId": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)import Foundation
let parameters = ["toWishlistId": 61] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://{host}/api/v1/wishlists/{wishlistId}/items/{itemId}/move")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"X-Shopify-ApiKey": "<api-key>",
"X-Shopify-Shop": "<api-key>",
"X-Shopify-CustomerId": "<api-key>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"toWishlistId\": 61\n}")
val request = Request.Builder()
.url("https://{host}/api/v1/wishlists/{wishlistId}/items/{itemId}/move")
.post(body)
.addHeader("X-Shopify-ApiKey", "<api-key>")
.addHeader("X-Shopify-Shop", "<api-key>")
.addHeader("X-Shopify-CustomerId", "<api-key>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute(){
"data": {
"id": 74,
"wishlistId": 61,
"productId": "8060316581941",
"variantId": "44986123976757"
},
"message": "Moved to \"Diwali gifts\"",
"messageKey": "error_moved_to_wishlist",
"messageParams": {
"listName": "Diwali gifts"
}
}{
"title": "Malformed request",
"status": 400,
"code": "MALFORMED_REQUEST",
"message": "wishlistId must be a number.",
"messageKey": null
}{
"title": "Unauthenticated",
"status": 401,
"code": "UNAUTHENTICATED",
"message": "Invalid API Key",
"messageKey": null
}{
"title": "Guest disabled",
"status": 403,
"code": "GUEST_DISABLED",
"message": "Please log in to save items to your wishlist.",
"messageKey": "error_guest_login_required"
}{
"title": "Wishlist not found",
"status": 404,
"code": "WISHLIST_NOT_FOUND",
"message": "Wishlist not found",
"messageKey": "error_wishlist_not_found"
}{
"title": "Wishlist name taken",
"status": 409,
"code": "WISHLIST_NAME_TAKEN",
"message": "A wishlist with this name already exists",
"messageKey": "error_wishlist_name_already_exists"
}{
"title": "Version retired",
"status": 410,
"code": "VERSION_RETIRED",
"message": "Please update the app to continue.",
"messageKey": "error_app_update_required"
}{
"title": "Validation failed",
"status": 422,
"code": "VALIDATION_FAILED",
"message": "name is required.",
"messageKey": null,
"errors": [
{
"field": "name",
"message": "name is required."
}
]
}{
"title": "Rate limited",
"status": 429,
"code": "RATE_LIMITED",
"message": "Too many requests. Please try again in a minute.",
"messageKey": "error_too_many_requests"
}{
"title": "Internal error",
"status": 500,
"code": "INTERNAL_ERROR",
"message": "Something went wrong. Please try again.",
"messageKey": "error_something_went_wrong"
}Authorizations
ApiKey & Shop & CustomerIdApiKey & Shop & SessionId
Store API key from Wishlist settings > API Settings.
The store's myshopify domain, e.g. your-store.myshopify.com.
Numeric Shopify customer id of a logged-in shopper. Verified against the store on every call.
Path Parameters
Numeric wishlist id.
Pattern:
^\d+$Numeric item id (items[].id).
Pattern:
^\d+$Body
application/json
Response
Moved